## apt-move 4.1.21

=== Makefile ===
# Debian makefile for apt-move

CXXFLAGS = -g -O2 -Wall
LDLIBS = -lapt-pkg

DESTDIR =

PREFIX = $(DESTDIR)/usr
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man8
CONFDIR = $(DESTDIR)/etc
LIBDIR = $(PREFIX)/lib/apt-move
SHAREDIR = $(PREFIX)/share/apt-move

all: fetch

fetch: fetch.o
	$(CXX) -o $@ $(LDFLAGS) $^ $(LOADLIBS) $(LDLIBS)

clean:
	rm -f fetch *.o

install: fetch
	install -p apt-move $(BINDIR)
	install fetch $(LIBDIR)
	install -p move1 move2 move3 $(SHAREDIR)
	cp -p apt-move.conf $(CONFDIR)
	cp -p apt-move.8 $(MANDIR)

.PHONY: all clean install

=== debian/changelog ===
apt-move (4.1.21) unstable; urgency=low

  * Unset CDPATH (closes: #140119).
  * Fixed exclusion processing when mirroring.
  * Added exclusion processing when deleting.

 -- Herbert Xu <herbert@debian.org>  Sun, 14 Apr 2002 17:23:07 +1000

apt-move (4.1.20) unstable; urgency=low

  * Ignore blank lines in exclude file (closes: #136089).
  * Fixed path names in apt-move manual (closes: #80467).
  * Only chown files if chowning .archive succeeds (closes: #129122).

 -- Herbert Xu <herbert@debian.org>  Sat,  2 Mar 2002 18:56:42 +1100

apt-move (4.1.19) unstable; urgency=low

  * Added pathnames in expanddsc so that files are deleted (closes: #117014).
  * Make everything owned by root if possible (closes: #117015).
  * Fixed typos (Eric Van Buggenhaut, me, closes: #120331).

 -- Herbert Xu <herbert@debian.org>  Sat,  1 Dec 2001 23:20:09 +1100

apt-move (4.1.18) unstable; urgency=low

  * Fixed gcc-3.0 compilation errors (closes: #115305)

 -- Herbert Xu <herbert@debian.org>  Sat, 13 Oct 2001 10:45:01 +1000

apt-move (4.1.17) unstable; urgency=low

  * Recompiled with new apt (closes: #109554)
  * Fixed expanddsc for weird dsc files (closes: #104180).

 -- Herbert Xu <herbert@debian.org>  Tue, 28 Aug 2001 19:52:52 +1000

apt-move (4.1.16) unstable; urgency=low

  * Get the highest available version instead of the candidate version
    (closes: #96072).

 -- Herbert Xu <herbert@debian.org>  Thu,  3 May 2001 21:50:48 +1000

apt-move (4.1.15) unstable; urgency=low

  * Rebuilt with apt 0.5.2.

 -- Herbert Xu <herbert@debian.org>  Tue,  6 Mar 2001 22:16:34 +1100

apt-move (4.1.14) unstable; urgency=low

  * Fixed build problem with apt 5 (loic.lefort, #87008).

 -- Herbert Xu <herbert@debian.org>  Fri, 23 Feb 2001 20:06:03 +1100

apt-move (4.1.13) unstable; urgency=low

  * Make fsck delete any {Packages, Sources}[.gz] files (closes: #76288).
  * Added -c option to use an alternative configuration file.
  * Added the commands listbin, listsrc, mirrorbin and mirrorsrc
    (closes: #78675).

 -- Herbert Xu <herbert@debian.org>  Sun, 17 Dec 2000 16:52:34 +1100

apt-move (4.1.12) unstable; urgency=low

  * Added more pointers for the need to list apt-move in /etc/sources.list,
    per suggestions from Jochen Pawletta.
  * Debian control file field names are case-insensitive.  Thanks to
    Petr Vandrovec for reporting it, though Brandon had something to do with it
    as well.

 -- Herbert Xu <herbert@debian.org>  Wed,  1 Nov 2000 22:20:54 +1100

apt-move (4.1.11) unstable; urgency=low

  * Fixed a typo in procsrc() where the wrong directory is used.  This broke
    the mirroring of source packages.
  * Work around parser bug in bash.

 -- Herbert Xu <herbert@debian.org>  Sun, 15 Oct 2000 07:37:53 +1100

apt-move (4.1.10) unstable; urgency=low

  * Fixed typo that broke the source field (closes: #72986).

 -- Herbert Xu <herbert@debian.org>  Thu,  5 Oct 2000 19:29:28 +1100

apt-move (4.1.9) unstable; urgency=low

  * Use local temporary files instead of global ones (closes: #67413).
  * Documented the need to list apt-move in /etc/sources.list.

 -- Herbert Xu <herbert@debian.org>  Wed, 19 Jul 2000 13:01:33 +1000

apt-move (4.1.8) unstable; urgency=low

  * Treat multiline fields correctly.

 -- Herbert Xu <herbert@debian.org>  Mon, 17 Jul 2000 18:54:38 +1000

apt-move (4.1.7) unstable; urgency=high

  * Replaced $DIST in dodelete() by $dist.  This caused all files to be deleted
    if they are not available in the current distribution.
  * Use getopt(3) instead of GetOpt from libg++ (closes: #66646).

 -- Herbert Xu <herbert@debian.org>  Mon,  3 Jul 2000 21:15:26 +1000

apt-move (4.1.6) unstable; urgency=high

  * Replaced $DIST in dopackages() by $dist.
  * Fixed incorrect invocation of xargs (introduced in 4.1.5) which caused
    files to be deleted rather than moved.

 -- Herbert Xu <herbert@debian.org>  Sun,  2 Jul 2000 21:19:26 +1000

apt-move (4.1.5) unstable; urgency=low

  * Fixed boundary cases with move1 and dpkg-scan*.
  * Added build-time dependency on libg++-dev (closes: #66515).
  * Fixed a bug in getfile() where local packages weren't being added to
    $DIST.binary.$ARCH, which will cause them to be deleted later on.

 -- Herbert Xu <herbert@debian.org>  Sat,  1 Jul 2000 23:11:06 +1000

apt-move (4.1.4) unstable; urgency=low

  * Added a stderr redirection for tee in dodeleteobsoleteind() as join may
    exit early.
  * Fixed runsync() so that it only fetches packages marked "install"
    (closes: #66444).
  * Use fetch -t and apt-get --print-uris in runsync() and runmirror() when
    -t is used.  This will show what is really going to be fetched.

 -- Herbert Xu <herbert@debian.org>  Thu, 29 Jun 2000 21:09:05 +1000

apt-move (4.1.3) unstable; urgency=low

  * The removal of .archive needed a -f since it may not exist.
  * When moving files fetched by apt-get -d source, skip all symbolic links as
    they will be ignored later on anyway.

 -- Herbert Xu <herbert@debian.org>  Tue, 27 Jun 2000 22:02:55 +1000

apt-move (4.1.2) unstable; urgency=low

  * Remove .archive before trying to create it (closes: #66262, #66282).

 -- Herbert Xu <herbert@debian.org>  Mon, 26 Jun 2000 22:03:33 +1000

apt-move (4.1.1) unstable; urgency=low

  * Added build-time dependency on debhelper (closes: #65879).
  * Fixed runmirror() and runsync() when there is no exlucde file.  Spotted by
    Brian Moore.
  * Fix bad filenames in dofsck() as well (closes: #65931).
  * Added STRICTMOVE which when set causes packages whose version differs from
    the value in the master file to be skipped when moving.
  * Use readlink instead of realpath.
  * Don't complain if index files don't exist in dodeleteobsoletepkg()
    (closes: #65970).
  * No longer complains about missing Source files when PKGTYPE is set to
    binary in getfiles() (closes: #65972, #66128).
  * Document how local files should be treated (closes: #66011).
  * Check for empty dirlist in dodelete().


=== debian/control ===
Source: apt-move
Section: admin
Priority: optional
Maintainer: Herbert Xu <herbert@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper, libapt-pkg-dev

Package: apt-move
Architecture: any
Depends: awk, bc (>= 1.05a-6), dpkg-dev (>= 1.4.1.6), debianutils (>= 1.13.1), ${shlibs:Depends}
Recommends: apt
Description: Move cache of Debian packages into a mirror hierarchy
 apt-move is used to move a collection of Debian package files into a
 proper archive hierarchy of the form debian/dists/...  It is intended
 as a tool to help manage the apt-get(8) file cache, but could be
 configured to work with any collection of Debian packages.
 .
 Running apt-move periodically will assist in managing the resulting
 partial mirror by optionally removing obsolete packages, and creating
 valid local Packages.gz files.  It can also optionally employ rsync(1)
 to build a partial or complete local mirror of a Debian binary
 distribution (including an ``installed-packages only'' mirror).

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## apt-move 4.2.22

=== debian/changelog ===
apt-move (4.2.22) unstable; urgency=low

  * Removed remaining rsync references (closes: #232927).
  * Fixed typo in apt-move(8) manual (Martin Koeppe).
  * Removed ARCHS references in apt-move(8) manual (Martin Koeppe).
  * Fixed code name symlink in apt-move(8) manual (Martin Koeppe).
  * Check list* errors in runmirror/runsync (Daniel Haude).
  * Canonicalise DIST at start-up (Daniel Haude).
  * Do not move files under a subdirectory of FILECACHE (closes: #240328).
  * fetch: Use iostream instead of iostream.h.

 -- Herbert Xu <herbert@debian.org>  Sat, 27 Mar 2004 09:54:05 +1100

apt-move (4.2.21) unstable; urgency=low

  * Implemented new value /all/ for APTSITES.
  * Set default APTSITES to /all/ (closes: #227292).
  * Make sure that ocmd is open in move4 (closes: #227095).
  * Added .udeb to all checks for the .deb suffix.

 -- Herbert Xu <herbert@debian.org>  Sat, 14 Feb 2004 10:13:10 +1100

apt-move (4.2.20) unstable; urgency=low

  * Added note about suite name changes in README (closes: #218263).
  * Added note on apt-move.conf syntax in manual.
  * Trap errors in apt-move.conf (closes: #220720).
  * Return a sensible error if MOVE3 fails in movefiles.

 -- Herbert Xu <herbert@debian.org>  Sat, 13 Dec 2003 19:28:26 +1100

apt-move (4.2.19) unstable; urgency=low

  * Set LC_NUMERIC to C (closes: #205275).
  * Documented incorrect Section header problem in README.

 -- Herbert Xu <herbert@debian.org>  Sat, 11 Oct 2003 21:55:55 +1000

apt-move (4.2.18) unstable; urgency=low

  * Fixed orig.tar.gz symlink bug where there are no files (closes: #203172).
  * Removed references to gz in make_pkg_files message (closes: #203587).

 -- Herbert Xu <herbert@debian.org>  Sat, 20 Sep 2003 16:30:02 +1000

apt-move (4.2.17) unstable; urgency=low

  * Delete old symlinks in source downloading directory (closes: #196880).
  * Fixed typo in del1 (Gerard MacNeil, closes: #200362).
  * Clarified meaning of skipping in apt-move(8) (closes: #202832).
  * Added warning if APTSITES entry does not exist (closes: #202558).
  * Create orig.tar.gz symlinks when mirroring source (closes: #201641).

 -- Herbert Xu <herbert@debian.org>  Sun, 27 Jul 2003 14:18:33 +1000

apt-move (4.2.16) unstable; urgency=low

  * Clarified meaning of DIST in apt-move(8).
  * Sort keys after filling in blanks in make_pkg_list (Dub Spencer,
    closes: #189335).

 -- Herbert Xu <herbert@debian.org>  Sat, 31 May 2003 22:16:23 +1000

apt-move (4.2.15) unstable; urgency=low

  * Bail if nothing in APTSITES exists.
  * Documented that move will copy obsolete packages (closes: #191223).
  * Documented that delete will delete dangling index files (closes: #188583).
  * Removed gcc-2.95 setting (closes: #192412).

 -- Herbert Xu <herbert@debian.org>  Sat, 17 May 2003 10:34:42 +1000

apt-move (4.2.14) unstable; urgency=low

  * Added example binary.local file.
  * Documented inadequecy of the DIST setting when mirroring.
  * Delete index files with no or missing package files.
  * Use normal g++ on hppa.

 -- Herbert Xu <herbert@debian.org>  Mon, 31 Mar 2003 22:06:57 +1000

apt-move (4.2.13) unstable; urgency=low

  * Fixed regexp in getdist.awk that broke contrib/non-free (closes: #185645).
  * Force old gcc until apt is updated (closes: #182203).

 -- Herbert Xu <herbert@debian.org>  Tue, 25 Mar 2003 20:31:17 +1100

apt-move (4.2.12) unstable; urgency=low

  * Added missing existence test in make_release (closes: #182378).
  * Work around some broken package section headers.

 -- Herbert Xu <herbert@debian.org>  Sat,  1 Mar 2003 11:55:26 +1100

apt-move (4.2.11) unstable; urgency=low

  * Fixed source package breakage with CONTENTS.

 -- Herbert Xu <herbert@debian.org>  Sun, 23 Feb 2003 17:39:30 +1100

apt-move (4.2.10) unstable; urgency=low

  * Improved manual entry of PKGCOMP.
  * Accept empty master files in checklist.
  * Fixed handling of non-US packages in foo-updates.
  * Do not generate Release files for debian-installer.
  * Generate overall Release files.
  * Added optional support for Contents files (closes: #129961).

 -- Herbert Xu <herbert@debian.org>  Sat, 22 Feb 2003 21:56:59 +1100

apt-move (4.2.9) unstable; urgency=low

  * Use readlink -f instead of realpath.
  * Dropped compatibility dependencies due to stat -L (closes: #174461).
  * Fixed broken exclude function (Chuan-kai Lin, closes: #174457).

 -- Herbert Xu <herbert@debian.org>  Tue, 31 Dec 2002 07:38:31 +1100

apt-move (4.2.8) unstable; urgency=low

  * Remove duplicate entries from *.arch.* files.
  * Call stat with -L.

 -- Herbert Xu <herbert@debian.org>  Fri,  8 Nov 2002 20:24:58 +1100

apt-move (4.2.7) unstable; urgency=low

  * Unset LC_ALL and replace it with individual LC macros (closes: #163931).
  * Added support for suite aliases.
  * Made updates components closer to the real thing.
  * Added support for udebs.
  * Updated short description to mention package pools.
  * Added option q to synopsis in usage.
  * Added option d to override DIST.
  * Added missing dependency on bc (closes: #166485).
  * Fixed sort order of letters vs. non-letters in version numbers.

 -- Herbert Xu <herbert@debian.org>  Tue, 29 Oct 2002 19:01:01 +1100

apt-move (4.2.6) unstable; urgency=low

  * Fsck now works properly on new archives.
  * Fixed off-by-one bug when fscking sources (closes: #164729).
  * Set LC_COLLATE to C (closes: #163931).
  * Calculate best versions for architectures individually in move6.

 -- Herbert Xu <herbert@debian.org>  Sat, 19 Oct 2002 19:18:29 +1000

apt-move (4.2.5) unstable; urgency=low

  * Ignore symlinks when converting old archives (closes: #163931).

 -- Herbert Xu <herbert@debian.org>  Sun, 13 Oct 2002 22:05:16 +1000

apt-move (4.2.4) unstable; urgency=low

  * Clarified documentation of DIST variable.
  * Do not create version file if dists or pool exists.
  * Do not uniq in createidx since this preempts get2 later on
    (closes: #164311).
  * Removed empty version check from get2.


## apt-move 4.2.23

=== debian/changelog ===
apt-move (4.2.23) unstable; urgency=low

  * New maintainer (closes: #282100).
  * Apply patch to support the -a option (closes: #242272)

 -- Chuan-kai Lin <cklin@debian.org>  Sun, 21 Nov 2004 14:55:33 -0800

apt-move (4.2.22.1) unstable; urgency=low

  * Herbert has orphaned this package; set Maintainer to QA group.
  * Hard-code dependency on mawk.  Closes: #274377, #264786.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Nov 2004 11:25:20 -0600

=== debian/control ===
Source: apt-move
Section: admin
Priority: optional
Maintainer: Chuan-kai Lin <cklin@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper, libapt-pkg-dev (>= 0.5.5)

Package: apt-move
Architecture: any
Depends: mawk, bc, coreutils, dash | ash, ${shlibs:Depends}
Recommends: apt
Description: Maintain Debian packages in a package pool
 apt-move is used to move a collection of Debian package files into a proper
 archive hierarchy as is used in the official Debian archive. It is intended as
 a tool to help manage the apt-get(8) file cache, but could be configured to
 work with any collection of Debian packages.
 .
 Running apt-move periodically will assist in managing the resulting partial
 mirror by optionally removing obsolete packages, and creating valid local
 Packages.gz files.  It can also build a partial or complete local mirror of a
 Debian binary distribution (including an ``installed-packages only'' mirror).

=== debian/rules ===
--- 
+++ 
@@ -20,15 +20,14 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp install-stamp
+	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
 
 	dh_clean
 
-install: install-stamp
-install-stamp: build-stamp
+install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -36,8 +35,6 @@
 
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
-
-	touch install-stamp
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -61,8 +58,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	# You may want to make some executables suid here
-	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
 #	dh_perl

## apt-move 4.2.23ubuntu1

=== debian/changelog ===
apt-move (4.2.23ubuntu1) hoary; urgency=low

  * rebuild against apt 0.6.31

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  7 Feb 2005 13:33:05 +0100

## apt-move 4.2.23ubuntu3

=== debian/changelog ===
apt-move (4.2.23ubuntu3) breezy; urgency=low

  * Rebuild for new libapt-pkg

 -- Andrew Mitchell <ajmitch@gnu.org>  Fri, 12 Aug 2005 14:11:26 +1200

apt-move (4.2.23ubuntu2) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jun 2005 11:02:11 +0000

## apt-move 4.2.27

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,8 @@
 install: fetch
 	install -p apt-move $(BINDIR)
 	install fetch $(LIBDIR)
-	install -p move1 move2 move3 $(SHAREDIR)
+	install del1 move3 pkg1 $(SHAREDIR)
+	install -m 644 get[23] move[4-7] *.awk Contents.head $(SHAREDIR)
 	cp -p apt-move.conf $(CONFDIR)
 	cp -p apt-move.8 $(MANDIR)

=== debian/changelog ===
apt-move (4.2.27-8) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Guilherme Calil Duwe <guilhermeduwe@alunos.utfpr.edu.br>  Tue, 28 Oct 2025 14:03:12 -0300

apt-move (4.2.27-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.7 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 May 2024 23:42:43 +0200

apt-move (4.2.27-6) unstable; urgency=medium

  * QA upload.
  * Port to APT 2.0 (Closes: #930663)

 -- Julian Andres Klode <jak@debian.org>  Sun, 08 Mar 2020 14:29:03 +0100

apt-move (4.2.27-5) unstable; urgency=medium

  * QA upload.
  * Drop the header for Contents files. (See: #841997, #676642, LP#1638219)

 -- Paul Wise <pabs@debian.org>  Wed, 02 Nov 2016 13:11:28 +0800

apt-move (4.2.27-4) unstable; urgency=medium

  * QA upload.
  * Migrated DH level to 9.
  * Bumped Standards-Version to 3.9.7.
  * debian/changelog: fixed some typos.
  * debian/copyright:
     - Updated to format 1.0.
     - Updated all information.
  * debian/control: little changes in long description.
  * debian/debhelper-build-stamp: removed this useless file.
  * debian/patches: added fix-makefile.patch to add gcc hardening.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to
    improve the GCC hardening.
  * debian/watch: improved.

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Sun, 21 Feb 2016 12:47:56 -0300

apt-move (4.2.27-3) unstable; urgency=low

  * QA upload
  * debian/patches:
    - fix_perl_implicit_split_deprecation.patch: Fix implicit split which was
      deprecated in Perl long time ago and removed in 5.12 (closes: #692342)

 -- Paul Gevers <elbrus@debian.org>  Fri, 09 Nov 2012 10:41:39 +0100

apt-move (4.2.27-2) unstable; urgency=low

  * QA upload.
  * debian/source/format: Make 3.0 (quilt)
  * debian/patches:
    - csum-uncompressed-Packages.patch: Add checksums for uncompressed Packages
      to Release. Thanks to Ludwin Janvier (Closes: #439341)
    - fix-dpkg-option.patch: Fix dpkg deprecation warning. Thanks to Karl Goetz
      (Closes: #562182)
    - add-copydir.patch: Add copydir command. Thanks to Blars Blarson
      (Closes: #316643)
  * Add 05apt-move apt.conf.d example. Thanks to Martin F. Krafft
    (Closes: #277435)
  * Set Homepage
  * Use newer debhelper and drop cdbs
  * No change Standards-Version bump from 3.7.2.2 to 3.9.2

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 08 Jan 2012 03:36:50 +0800

apt-move (4.2.27-1) unstable; urgency=low

  * New upstream release (closes: #393530, #320827)

 -- Chuan-kai Lin <cklin@debian.org>  Mon,  7 May 2007 10:34:13 -0700

apt-move (4.2.26-1) unstable; urgency=low

  * New upstream release (closes: #394600, #327867, #344555)
  * Build-Depends on libapt-pkg-dev (>= 0.6.42)
    (closes: #334943, #344498)
  * Convert build script to use CDBS
  * Update FSF address in copyright file
  * Add watch file

 -- Chuan-kai Lin <cklin@debian.org>  Tue, 31 Oct 2006 14:37:39 -0800

apt-move (4.2.24-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Patch for new dash (Closes: #341234)
  * Avoid stat program incompatibility by using perl (Closes: #339024)

 -- Blars Blarson <blarson@blars.org>  Fri, 16 Dec 2005 23:27:13 +0000

apt-move (4.2.24-1) unstable; urgency=low

  * New upstream version (closes: #310391)
  * Remove dependency on coreutils (closes: #316417)
  * Rebuild with apt 0.6 (closes: #316492, #316207)
  * Apply patch by Petr Vandrovec to sign local archive
    (closes: #320827)

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 13 Aug 2005 22:52:32 -0700

apt-move (4.2.24) unstable; urgency=low

  * Added -a option (closes: #242272).
  * Allow get with no index files if -f is used.
  * Use APTMOVE_SCRIPTS instead of SCRIPTS.

 -- Herbert Xu <herbert@gondor.apana.org.au>  Mon, 23 May 2005 20:16:41 +1000

=== debian/control ===
Source: apt-move
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), libapt-pkg-dev (>= 0.6.42),
Homepage: http://sourceforge.net/projects/apt-move/
Vcs-Browser: https://salsa.debian.org/debian/apt-move
Vcs-Git: https://salsa.debian.org/debian/apt-move.git

Package: apt-move
Architecture: any
Depends: bc,
         dash,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: apt,
Description: maintain Debian packages in a package pool
 apt-move is used to move a collection of Debian package files into a
 proper archive hierarchy as is used in the official Debian archive. It
 is intended as a tool to help manage the apt-get(8) file cache, but
 could be configured to work with any collection of Debian packages.
 .
 Running apt-move periodically will assist in managing the resulting
 partial mirror by optionally removing obsolete packages, and creating
 valid local Packages.gz files. It can also build a partial or complete
 local mirror of a Debian binary distribution (including an
 ``installed-packages only'' mirror).

=== debian/tests/control ===
Test-Command: apt-move 2>&1 | grep "^Usage"
Restrictions: superficial

=== debian/watch ===
version=3
http://gondor.apana.org.au/~herbert/apt-move/files/apt-move_(.*)\.tar\.(?:bz2|gz|xz)

## apt-move 4.2.27-3build4+8.0trisquel1

=== debian/changelog ===
apt-move (4.2.27-3build4+8.0trisquel1) flidas; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 20 Apr 2018 17:16:26 +0000

apt-move (4.2.27-3build4) xenial; urgency=high

  * No change rebuild against libapt-pkg5.0 / libapt-inst2.0 on s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 09 Dec 2015 17:12:22 +0000

apt-move (4.2.27-3build3) xenial; urgency=medium

  * No-change rebuild against libapt-pkg5.0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Nov 2015 11:48:42 +0100

apt-move (4.2.27-3build2) wily; urgency=medium

  * No-change rebuild against libapt-pkg4.16

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Oct 2015 15:43:19 +0200

apt-move (4.2.27-3build1) wily; urgency=medium

  * No-change rebuild against libapt-pkg4.16

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Aug 2015 17:53:19 +0000

## apt-move 4.2.27-5ubuntu2+10.0trisquel1

=== debian/changelog ===
apt-move (4.2.27-5ubuntu2+10.0trisquel1) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 30 Jul 2021 23:46:48 +0000

apt-move (4.2.27-5ubuntu2) focal; urgency=high

  * No change rebuild against apt 1.9.11.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 27 Feb 2020 09:13:40 +0100

apt-move (4.2.27-5ubuntu1) eoan; urgency=medium

  * Port to apt 1.9

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 17 Jun 2019 23:07:10 +0200

## apt-move 4.2.27-5%2B9.0trisquel1

=== .pc/drop-contents-header.patch/Makefile ===
# Debian makefile for apt-move

CXXFLAGS += -g -O2 -Wall
LDLIBS = -lapt-pkg

DESTDIR =

PREFIX = $(DESTDIR)/usr
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man8
CONFDIR = $(DESTDIR)/etc
LIBDIR = $(PREFIX)/lib/apt-move
SHAREDIR = $(PREFIX)/share/apt-move

all: fetch

fetch: fetch.o
	$(CXX) -o $@ $(CXXFLAGS) $(LDFLAGS) $^ $(LOADLIBS) $(LDLIBS)

clean:
	rm -f fetch *.o

install: fetch
	install -p apt-move $(BINDIR)
	install fetch $(LIBDIR)
	install del1 move3 pkg1 $(SHAREDIR)
	install -m 644 get[23] move[4-7] *.awk Contents.head $(SHAREDIR)
	cp -p apt-move.conf $(CONFDIR)
	cp -p apt-move.8 $(MANDIR)

.PHONY: all clean install

=== debian/changelog ===
apt-move (4.2.27-5+9.0trisquel1) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 19:37:49 +0000

## apt-move 4.2.27-6build2trisquel1

=== debian/changelog ===
apt-move (4.2.27-6build2trisquel1) ecne; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Oct 2024 16:44:14 +0000

apt-move (4.2.27-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:18:21 +1100

apt-move (4.2.27-6build1) noble; urgency=medium

  * No-change rebuild against libapt-pkg6.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2024 19:21:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: apt-move
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.7.0
-Build-Depends: debhelper-compat (= 13), libapt-pkg-dev (>= 0.6.42),
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9), libapt-pkg-dev (>= 0.6.42)
 Homepage: http://sourceforge.net/projects/apt-move/
-Vcs-Browser: https://salsa.debian.org/debian/apt-move
-Vcs-Git: https://salsa.debian.org/debian/apt-move.git
 
 Package: apt-move
 Architecture: any
-Depends: bc,
-         dash,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: apt,
+Depends: bc, dash, ${shlibs:Depends}, ${misc:Depends}
+Recommends: apt
 Description: maintain Debian packages in a package pool
  apt-move is used to move a collection of Debian package files into a
  proper archive hierarchy as is used in the official Debian archive. It

## apt-move 4.2.27-6+11.0trisquel1

=== Makefile ===
# Debian makefile for apt-move

CXXFLAGS += -g -O2 -Wall
LDLIBS = -lapt-pkg

DESTDIR =

PREFIX = $(DESTDIR)/usr
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man8
CONFDIR = $(DESTDIR)/etc
LIBDIR = $(PREFIX)/lib/apt-move
SHAREDIR = $(PREFIX)/share/apt-move

all: fetch

fetch: fetch.o
	$(CXX) -o $@ $(CXXFLAGS) $(LDFLAGS) $^ $(LOADLIBS) $(LDLIBS)

clean:
	rm -f fetch *.o

install: fetch
	install -p apt-move $(BINDIR)
	install fetch $(LIBDIR)
	install del1 move3 pkg1 $(SHAREDIR)
	install -m 644 get[23] move[4-7] *.awk $(SHAREDIR)
	cp -p apt-move.conf $(CONFDIR)
	cp -p apt-move.8 $(MANDIR)

.PHONY: all clean install

=== debian/changelog ===
apt-move (4.2.27-6+11.0trisquel1) aramo; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 26 Jun 2022 12:09:16 +0000
